randtest.pcaiv {ade4} | R Documentation

## Monte-Carlo Test on the percentage of explained (i.e. constrained) inertia

### Description

Performs a Monte-Carlo test on on the percentage of explained (i.e. constrained) inertia. The statistic is the ratio of the inertia (sum of eigenvalues) of the constrained analysis divided by the inertia of the unconstrained analysis.

### Usage

    ## S3 method for class 'pcaiv'
    randtest(xtest, nrepet = 99, ...)
    ## S3 method for class 'pcaivortho'
    randtest(xtest, nrepet = 99, ...)

### Arguments

`xtest` | an object of class `pcaiv`, `pcaivortho` or `caiv`
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Value

a list of the class `randtest`

### Author(s)

Stéphane Dray stephane.dray@univ-lyon1.fr, original code by Raphaël Pélissier

### Examples

    data(rpjdl)
    millog <- log(rpjdl$mil + 1)
    coa1 <- dudi.coa(rpjdl$fau, scann = FALSE)
    caiv1 <- pcaiv(coa1, millog, scan = FALSE)
    randtest(caiv1)

[Package ade4 version 1.7-13 Index]